#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
	int n[t], m[t], k[t], i;
	for( i=0; i<t; i++ )
    {
        cin>>n[i]>>m[i]>>k[i];
    }
	for( i=0; i<t; i++ )
    {
        if( i != 0 )
            cout<<endl;
        if( k[i] == 1 )
        {
            if( n[i] >= m[i] )
            {
                cout<<"Nie";
                continue;
            }
            else
            {
                cout<<"Tak";
                continue;
            }
        }
        if( n == k )
        {
            if( m<k )
                cout<<"Nie";
            else
                cout<<"Tak";
            continue;
        }
        cout<<"Tak";
    }


return 0;
}